package org.dspace.newsletter;

import java.util.Comparator;

import org.dspace.core.ConfigurationManager;

import org.apache.log4j.Logger;



public class IndexItemComparable implements Comparator<IndexItem>{
    
    public int orden;
    private int resultado;
    
    private static final Logger log = Logger.getLogger(IndexItemComparable.class);
    
    
    public int compare(IndexItem item1, IndexItem item2) {
	resultado = item1.getFecha().compareTo(item2.getFecha());
	if (orden == 1){ //ascendente
	    return resultado;
	}else if (orden == 2){ //descendente
	    resultado = -resultado;
	    return resultado;
	}
	return resultado;
    }

} 
